Bug 84914 - Too much RAM used because of SVG page background
Summary: Too much RAM used because of SVG page background
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 Daily
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-11 13:40 UTC by Daniel Grigoras
Modified: 2015-07-20 09:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Grigoras 2014-10-11 13:40:38 UTC
Hello,

I'm working with a 2000-page master document, and before I export it to PDF I have to review it as the content of the subdocuments is not reflowed properly.
I noticed that as I review the document and scroll down the document, LibreOffice gradually eats up more and more memory. If I pause for a minute or so, the RAM consumption drops from 10 GB to 2 GB in a matter of seconds. If however I don't pay attention and keep on reviewing, scrolling and editing for a long time, LibreOffice ends up eating the whole RAM and then the system crashes. I've used System Monitor under Ubuntu and managed to see that LibreOffice ate 16 GB of RAM before it crashed. I only have 16 GB of RAM. I think it would eat 32 GB of RAM if I had any more.
I did a comparison test and saw that if I set no page background the memory use is decent and constant.
I mention that I used an SVG graphic for the page background.
I hope you manage to fix this.

Regards,
Daniel
Comment 1 Julien Nabet 2014-10-11 15:46:50 UTC
Would it be possible you attach the file with only some pages instead of 2000 so we can try to reproduce this?
Comment 2 Daniel Grigoras 2014-10-13 06:40:20 UTC
Unfortunately, the content of the documents I'm working with are confidential. Moreover, I think you would really need the entire 2000-page version. However, it shouldn't be that complicated to create a test document yourselves.
Comment 3 Julien Nabet 2014-10-14 20:22:35 UTC
Could you try to remove any confidential/private part? Without this, we won't be able to do anything.
BTW, what's the precise LO version you use?
Comment 4 Julien Nabet 2014-10-14 20:23:55 UTC
Forget my last comment, I'll try to create a file with svg background
Comment 5 Daniel Grigoras 2014-10-15 06:41:00 UTC
You can donwload an anonymized version from here: https://www.dropbox.com/s/vz43d9x0v1t3fxr/master_for_support.zip?dl=0 It has an SVG background.

Just scroll down the document continously, with only small pauses, and you will see how RAM gets consumed more and more. For instance, press Page Down and scroll 100 pages at a time.
Comment 6 Daniel Grigoras 2014-10-21 09:30:17 UTC
I've just noticed that one doesn't need to work with a 2000-page master documnet to encounter this problem.

I have been working recently with a 150 page sub-document and encountered the same problem. In other words, scrolling down a document with and SVG background, in a rather constant manner, in order to check it for issues makes LibreOffice eat more and more memory (despite me having 16 GB of RAM) until the system crashes.
Comment 7 Julien Nabet 2014-10-21 18:11:47 UTC
I noticed nothing scrolling the document with 4.3.2 LO Debian package.
Perhaps someone will be luckier than me...
Comment 8 Buovjaga 2014-11-15 11:54:33 UTC
About 5 minutes of scrolling raised the memory use from 13,7% to 14,7% on a system with 4GB RAM. Is this consistent with what you experience or were you seeing a faster rate of increase?

Would be nice to have that smaller test document.
Also, what LibO version are you having the problem with?

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 9 Daniel Grigoras 2014-11-17 10:39:04 UTC
(In reply to Beluga from comment #8)

I already mentioned the version. It's v4.3. I see you're using v4.4 so maybe this got fixed in the meantime. You can try with v4.3 and scroll for more than 5 minutes. Scroll for 20 minutes and see what happens.
Comment 10 Buovjaga 2014-11-17 11:11:29 UTC
(In reply to Darius Daniel Grigoras from comment #9)
> (In reply to Beluga from comment #8)
> 
> I already mentioned the version. It's v4.3. I see you're using v4.4 so maybe
> this got fixed in the meantime. You can try with v4.3 and scroll for more
> than 5 minutes. Scroll for 20 minutes and see what happens.

I noticed you had 4.3 in the version field, but I meant the exact 4.3.x version.
Scroll for 20 minutes.. I'll do it, if you pay me 10 euros per minute ;)

I suggest you try 4.4 alpha in Ubuntu:
http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@46-TDF-dbg/2014-11-15_23.24.22/
That's a debug build, 1.8 GB. Extract it, go to the program subfolder in a terminal and run ./soffice. Debug output will appear in the terminal as a bonus.
Comment 11 Daniel Grigoras 2014-11-17 11:54:45 UTC
(In reply to Beluga from comment #10)

I'm using version 4.3.3.2
I ran /soffice and I received the following message: "Permission denied"
Comment 12 Buovjaga 2014-11-17 14:38:11 UTC
(In reply to Darius Daniel Grigoras from comment #11)
> (In reply to Beluga from comment #10)
> 
> I'm using version 4.3.3.2
> I ran /soffice and I received the following message: "Permission denied"

Please come to the quality assurance team IRC channel to ask for advice:
http://webchat.freenode.net/?channels=libreoffice-qa
Comment 13 QA Administrators 2015-06-08 14:29:21 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 14 QA Administrators 2015-07-18 17:27:52 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18
Comment 15 steve 2015-07-20 09:47:17 UTC
If this is no longer a problem in newer versions correct statuts is WORKSFORME instead of FIXED.